#ifndef __MD5_H__
#define __MD5_H__

// MD5 context.
typedef struct
{
	unsigned int   state[4];
	unsigned int   bits[2];
	unsigned char   in[64];
} MD5_CTX;

void MD5_Init( MD5_CTX *ctx );
void MD5_Update( MD5_CTX *ctx, unsigned char const *buf, unsigned int len );
void MD5_Final( MD5_CTX *ctx, unsigned char digest[16] );

#endif


